Migration to Python 3

From Official Kodi Wiki
Jump to: navigation, search

After a successful GOSC 2017 project that brought Python 3 (3.6 exactly) to Kodi it was decided that starting one of the next releases (19 M* preliminarily) Kodi will include a Python 3 as a an environment for running Python addons. Since Python 3 is not backward compatible with 2.x versions addon developers will have to convert their addons to Python 2/3-compatible code so that their addons will run both in current and future Kodi versions. This page contains information that should help addon developers in this conversion process.